Events

List Events

GET
/v1/events

Gets a list of events. Optional start_date and end_date filters return events that overlap the requested window (event ends on or after start_date and starts on or before end_date).

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Query Parameters

start_date?string

Optional lower bound (inclusive). Events ending before this date are excluded.

Formatdate
end_date?string

Optional upper bound (inclusive). Events starting after this date are excluded.

Formatdate
page?integer

Zero based page number

Range0 <= value
size?integer

Number of items per page

Range1 <= value
Default20

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/events"
{  "content": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "event_name": "string",      "event_start_date": "2019-08-24",      "event_end_date": "2019-08-24",      "event_street": "string",      "event_city": "string",      "event_state": "string",      "event_postal_code": "string",      "event_country": "string",      "metadata": {        "property1": {},        "property2": {}      },      "insurance_required": true,      "insurance_requirements_type": {},      "purpose": {},      "additional_insured": [        {          "business_name": "string",          "street": "string",          "city": "string",          "state": "string",          "postal_code": "string",          "country": "string"        }      ],      "attributes": {        "room_block_protection": {          "rate": 0.1,          "enabled": true,          "event_type": "INDOOR"        }      }    }  ],  "page_number": 0,  "size": 0,  "empty": true,  "number_of_elements": 0,  "total_size": 0,  "total_pages": 0}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}